<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}
{% block auto_command_nb %} {{ auto_command_nb }} {% endblock %}
{% block content %}
{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}
{% if messages %}

<ul class="messages">{% for msg in messages %}

  <uib-alert type="success">{{ msg }}</uib-alert>{% endfor %}

</ul>{% endif %}
{% get_current_language as LANGUAGE_CODE %}

<div class="row">
  <div class="col-lg-10">
    <ul class="nav nav-tabs">
      <li role="presentation"><a href="/{{ LANGUAGE_CODE }}/inventories">{% trans "Inventories started" %}</a>
      </li>
      <li role="presentation" class="active"><a href="#">{% trans "Inventories archived" %}</a>
      </li>
    </ul>
  </div>
</div>
<div>
  <div>
    <uib-alert ng-repeat="alert in alerts" type="{{ 'alert.level' | ng }}" close="closeAlert($item)" ng-click="closeAlert($item)">{{ 'alert.message' | ng }}

    </uib-alert>
  </div>
  <div style="clear: both">{% for year in years %}
    <h3 style="float: left"><a href="/{{ LANGUAGE_CODE }}/inventories/archived?year={{ year }}">{{ year }} &nbsp;</a>
    </h3>{% endfor %}
  </div>
  <table class="table table-striped table-hover">
    <thead>
      <tr>
        <th ng-click="sort_by('created')" class="mouse-pointer">{% trans "Created the" %}<span class="caret"></span>
        </th>
        <th ng-click="sort_by('name')" class="mouse-pointer">{% trans "Inventory of..." %}<span class="caret"></span>
        </th>
        <th ng-click="sort_by('nb_cards')" class="mouse-pointer">{% trans "Nb of titles/copies" %}<span class="caret"></span>
        </th>
        <th ng-click="sort_by('value')" class="mouse-pointer">{% trans "Value" %}<span class="caret"></span>
        </th>
      </tr>
    </thead>
    <tbody>{% for inv in inventories %}
      <tr class="my-animated-item">
        <td>{{ inv.created  }}</td>
        <td><a href="{{ inv.get_absolute_url }}">{{ inv.name }}</a>
        </td>
        <td>{{ inv.nb_cards  }} / {{ inv.nb_copies  }}</td>
        <td title="{% trans "Value of all the copies in this inventory" %}">{{ inv.value_fmt  }}</td>
        <td title="{% trans 'the inventory is being applied' %}" ng-if="inv.ongoing" class="i glyphicon glyphicon-refresh"></td><!--td{% if  inv.applied %}
        <div title="{{'inv.closed'|ng}}" ng-if="inv.applied" class="i glyphicon glyphicon-ok"></div>{% endif %}-->
        <td><!--.btn-group
          <button type="button" data-toggle="dropdown" class="btn btn-primary dropdown-toggle">{% trans "Action" %}...<span class="caret"></span>
          </button>
          <ul class="dropdown-menu">
            <li><a href="/inventories/{{ 'inv.id'|ng  }}">{% trans "Continue" %}</a>
            </li>
            <li><a href="/inventories/{{ 'inv.id'|ng  }}/terminate/">{% trans "Analyse" %}</a>
            </li>
            <li><a href="#" ng-click="validate( $index )" title="{% trans "Apply this inventory to your stock. This will modify your stock" %}">{% trans "Apply to your stock" %}</a>
            </li>
            <li role="separator" class="divider"></li>
            <li><a href="/inventories/{{ 'inv.id'|ng  }}/archive">{% trans "Archive" %}</a>
            </li>
            <li><a href="/inventories/{{ 'inv.id'|ng  }}/delete" class="i glyphicon glyphicon-trash">{% trans "Delete" %}</a>
            </li>
          </ul>-->
        </td>
      </tr>{% endfor %}
    </tbody>
  </table>
</div>{% endblock content %}
